/**
 * Copyright 2020 Comcast Cable Communications Management, LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * SPDX-License-Identifier: Apache-2.0
 */

/**
 * Fonts
 *
 * Contains global font style information to easily maintain consistency throughout components.
 */
export const TYPOGRAPHY = {
  display1: {
    fontSize: 56,
    lineHeight: 72,
    fontWeight: 'bold',
    letterSpacing: -0.4,
    verticalAlign: 'middle'
  },
  display2: {
    fontSize: 48,
    lineHeight: 64,
    fontWeight: 'bold',
    letterSpacing: -0.4,
    verticalAlign: 'middle'
  },
  headline1: {
    fontSize: 36,
    lineHeight: 48,
    fontWeight: 'bold',
    letterSpacing: -0.2,
    verticalAlign: 'middle'
  },
  headline2: {
    fontSize: 32,
    lineHeight: 40,
    fontWeight: 'bold',
    letterSpacing: -0.2,
    verticalAlign: 'middle'
  },
  headline3: {
    fontSize: 28,
    lineHeight: 36,
    fontWeight: 'bold',
    letterSpacing: -0.2,
    verticalAlign: 'middle'
  },
  body1: {
    fontSize: 32,
    lineHeight: 40,
    fontWeight: 500,
    letterSpacing: 0,
    verticalAlign: 'middle'
  },
  body2: {
    fontSize: 28,
    lineHeight: 36,
    fontWeight: 500,
    letterSpacing: 0,
    verticalAlign: 'middle'
  },
  body3: {
    fontSize: 24,
    lineHeight: 32,
    fontWeight: 500,
    letterSpacing: 0,
    verticalAlign: 'middle'
  },
  button1: {
    fontSize: 28,
    lineHeight: 36,
    fontWeight: 'bold',
    letterSpacing: -0.2,
    verticalAlign: 'middle'
  },
  button2: {
    fontSize: 24,
    lineHeight: 32,
    fontWeight: 'bold',
    letterSpacing: -0.2,
    verticalAlign: 'middle'
  },
  callout1: {
    fontSize: 24,
    lineHeight: 32,
    fontWeight: 'bold',
    letterSpacing: 2,
    textTransform: 'uppercase',
    verticalAlign: 'middle'
  },
  caption1: {
    fontSize: 20,
    lineHeight: 24,
    fontWeight: 'bold',
    letterSpacing: 0,
    verticalAlign: 'middle'
  }
};
